commit:     0bd94c6dc905a63e04a62202646c6093db6ef1cc
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Thu Nov  5 02:38:19 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Nov  5 07:20:21 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0bd94c6d

app-misc/no-more-secrets: add tagged release 0.3.3

Closes: https://bugs.gentoo.org/752426
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/18136
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-misc/no-more-secrets/Manifest                  |  1 +
 .../no-more-secrets/no-more-secrets-0.3.3.ebuild   | 30 ++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/app-misc/no-more-secrets/Manifest 
b/app-misc/no-more-secrets/Manifest
new file mode 100644
index 00000000000..7806d7d107b
--- /dev/null
+++ b/app-misc/no-more-secrets/Manifest
@@ -0,0 +1 @@
+DIST no-more-secrets-0.3.3.tar.gz 24713 BLAKE2B 
c47cc71e72c8bc10bfc27b382e22d1b808b1efa65f3355ce0b435490c1628e476824414541fd12c58c99b47822724bb8cb6cdf1a0b0edf05068e7400cfcef09a
 SHA512 
d261c9d2f7617149815627a4b6817aa5b483045cefbad148038ac9f13bc231b571034791aaaabc2ce9ab112cecc6015efc74167955099b8b57d1810f81210b31

diff --git a/app-misc/no-more-secrets/no-more-secrets-0.3.3.ebuild 
b/app-misc/no-more-secrets/no-more-secrets-0.3.3.ebuild
new file mode 100644
index 00000000000..57fdd08f5c3
--- /dev/null
+++ b/app-misc/no-more-secrets/no-more-secrets-0.3.3.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+SRC_URI="https://github.com/bartobri/no-more-secrets/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+KEYWORDS="~amd64"
+DESCRIPTION="Recreate decrypting text from 1992 movie 'Sneakers'"
+HOMEPAGE="https://github.com/bartobri/no-more-secrets";
+LICENSE="GPL-3"
+SLOT=0
+DEPEND="sys-libs/ncurses:0="
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       sed -i  -e 's#CC =#CC ?=#' \
+               -e 's#prefix =#prefix ?=#' \
+               -e 's#CFLAGS =#CFLAGS ?=#' Makefile || die
+       default
+}
+
+src_compile() {
+       CC="$(tc-getCC)" CFLAGS="${CFLAGS}" emake
+}
+
+src_install() {
+       prefix="/usr" DESTDIR="${ED}" emake install
+}

Reply via email to